PostgreSQL 9.6.24 Documentation
Prev | Up |  | Next

# ALTER TRIGGER

## Name

ALTER TRIGGER -- change the definition of a trigger

## Synopsis

    ALTER TRIGGER name ON table_name RENAME TO new_name
    ALTER TRIGGER name ON table_name DEPENDS ON EXTENSION extension_name

## Description

`ALTER TRIGGER` changes properties of an existing trigger. The `RENAME` clause changes the name of the given trigger without otherwise changing the trigger definition. The `DEPENDS ON EXTENSION` clause marks the trigger as dependent on an extension, such that if the extension is dropped, the trigger will automatically be dropped as well.

You must own the table on which the trigger acts to be allowed to change its properties.

## Parameters

`name`

  The name of an existing trigger to alter.

`table_name`

  The name of the table on which this trigger acts.

`new_name`

  The new name for the trigger.

`extension_name`

  The name of the extension that the trigger is to depend on.

## Notes

The ability to temporarily enable or disable a trigger is provided by ALTER TABLE, not by `ALTER TRIGGER`, because `ALTER TRIGGER` has no convenient way to express the option of enabling or disabling all of a table's triggers at once.

## Examples

To rename an existing trigger:

    ALTER TRIGGER emp_stamp ON emp RENAME TO emp_track_chgs;

To mark a trigger as being dependent on an extension:

    ALTER TRIGGER emp_stamp ON emp DEPENDS ON EXTENSION emplib;

## Compatibility

`ALTER TRIGGER` is a PostgreSQL extension of the SQL standard.

## See Also

ALTER TABLE

Prev | Home | Next
ALTER TEXT SEARCH TEMPLATE | Up | ALTER TYPE